library("PSG")

rm(list = setdiff(ls(), lsf.str()))
load(paste(dirname(sys.frame(1)$ofile),"/problem_maxret_var_data.RData",sep = ""))

input.model <- list()
input.model$d <- d
input.model$risk2 <- "var_risk"
input.model$w2 <- 0.95
input.model$H2 <- H2
input.model$rineq <- 0.02
input.model$Aeq <- Aeq
input.model$beq <- 1
input.model$lb <- lb
input.model$ub <- ub

options<-list()
options$precision <- 9
options$stages <- 10

results <- rpsg_riskconstrprog(input.model,options)

print(results)
